# $Id: attendee.rb,v 1.6 2005/02/09 02:28:05 ianmacd Exp $

class CTime
  class Agenda
    class Event
      class Attendee

        attr_accessor :mailto
        attr_accessor :cn
        attr_accessor :partstat
        attr_accessor :role
        attr_accessor :cutype
        attr_accessor :guid

        def inspect
          "Attendee:\n" +
          "\tmailto=#{@mailto}\n" +
          "\tcn=#{@cn}\n" +
          "\tpartstat=#{@partstat}\n" +
          "\trole=#{@role}\n" +
          "\tcutype=#{@cutype}\n" +
          "\tguid=#{@guid}\n"
        end

        #
        # Parses an attendee out from the iCalendar param_hash and value
        #
        def Attendee.parse_attendee(param_hash, value)
          attendee = Attendee.new

          attendee.mailto = value.sub(/^mailto:/i, "")
          attendee.cn = param_hash["CN"]
          attendee.partstat = param_hash["PARTSTAT"]
          attendee.role = param_hash["ROLE"]
          attendee.cutype = param_hash["CUTYPE"]
          attendee.guid = param_hash["X-ORACLE-GUID"]

          return attendee
        end

      end
    end
  end
end
